Package org.apache.sling.scripting.sightly.java.compiler.impl.operator

## Class OpHelper

- java.lang.Object
- - org.apache.sling.scripting.sightly.java.compiler.impl.operator.OpHelper

    public class OpHelper
    extends Object

Helper class for operator generation

### Constructor Summary

Constructors
`OpHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isNumericType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type type)`
`static org.apache.sling.scripting.sightly.java.compiler.impl.Type` `sameType​(TypedNode left, TypedNode right)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpHelper

    public OpHelper()

### Method Detail

#### sameType

    public static org.apache.sling.scripting.sightly.java.compiler.impl.Type sameType​(TypedNode left,
                                                                                      TypedNode right)

#### isNumericType

    public static boolean isNumericType​(org.apache.sling.scripting.sightly.java.compiler.impl.Type type)